<?php
/*
Plugin Name: Astroidz - 3d animated background
Plugin URI: https://qantumthemes.com
Description: Creates an nimated background of 3d asteroids
Version: 1.0.1
Author: QantumThemes
Author URI: https://qantumthemes.com
Text Domain: astroidz
Domain Path: /languages
*/




function astroidz_plugin_active() {
	return true;
}

/**
 * 
 * =============================================
 * The plugin textdomain
 * =============================================
 * 
 */

if(!function_exists('astroidz_load_plugin_textdomain')){
	add_action( 'plugins_loaded', 'astroidz_load_plugin_textdomain' );
	function astroidz_load_plugin_textdomain() {
		load_plugin_textdomain( 'astroidz', FALSE, plugin_dir_path( __FILE__ ) . 'languages' );
	}
}


/**
 * 
 * =============================================
 * Returns current plugin version.
 * =============================================
 * 
 */

if(!function_exists('astroidz_plugin_get_version')){
function astroidz_plugin_get_version() {
	$plugin_data = get_plugin_data( __FILE__ );
	$plugin_version = $plugin_data['Version'];
	return $plugin_version;
}}


/**
 * 
 * =============================================
 * JS enqueue
 * =============================================
 * 
 */

if(!function_exists('astroidz_scripts')){
	add_action('wp_enqueue_scripts', 'astroidz_scripts' );
	function astroidz_scripts() {
		$deps = array('jquery');
		$required_scripts = array (
			'three' => 'assets/three/three.min.js',
			'CopyShader' => 'assets/js/shaders/CopyShader.js',
			'DigitalGlitch' => 'assets/js/shaders/DigitalGlitch.js',
			'EffectComposer' => 'assets/js/postprocessing/EffectComposer.js',
			'RenderPass' => 'assets/js/postprocessing/RenderPass.js',
			'FilmShader' => 'assets/js/shaders/FilmShader.js',
			'RGBShiftShader' => 'assets/js/shaders/RGBShiftShader.js',
			'HorizontalBlurShader' => 'assets/js/shaders/HorizontalBlurShader.js',
			'VerticalBlurShader' => 'assets/js/shaders/VerticalBlurShader.js',
			'FilmPass' => 'assets/js/postprocessing/FilmPass.js',
			'MaskPass' => 'assets/js/postprocessing/MaskPass.js',
			'ShaderPass' => 'assets/js/postprocessing/ShaderPass.js',
			'GlitchPass' => 'assets/js/postprocessing/GlitchPass.js',
			'astroidz' => 'assets/js/astroidz.js'
		);
		foreach( $required_scripts as $handle => $file){
			wp_enqueue_script( $handle, plugins_url( $file , __FILE__ ), $deps, astroidz_plugin_get_version(), true );
			$deps[] = $handle;
		}

		wp_enqueue_style( 'astroidz-style', plugins_url('assets/css/astroidz-style.css' , __FILE__ ), array(), '1.0.0' );
		?>
		<style>
			<?php  
			$colors = get_theme_mod( 'astroidz_bg' );
			?>
			#astroidzContainer {
				background: radial-gradient(ellipse at center, <?php echo esc_attr( $colors['inner']); ?> 0%, <?php echo esc_attr( $colors['outer'] ); ?> 60%);
			}
		</style>
		<?php
	}
}


if(!function_exists('astroidz_custom_colors')){
	add_action('wp_footer', 'astroidz_custom_colors');
	function astroidz_custom_colors(){
		if(get_theme_mod( 'astroidz_cover_desktop')){
		?>
			<div id="astroidzStyles"
			data-astroidz-quantity="<?php echo esc_attr( get_theme_mod( 'astroidz_quantity', 20 )); ?>"
			data-astroidz-glitchPass="<?php echo esc_attr( get_theme_mod( 'astroidz_glitchPass' )); ?>" 
			data-astroidz-effectFilm="<?php echo esc_attr( get_theme_mod( 'astroidz_effectFilm' )); ?>" 
			data-astroidz-effectBlur="<?php echo esc_attr( get_theme_mod( 'astroidz_effectBlur' )); ?>" 
			data-astroidz-light0i="<?php echo esc_attr( get_theme_mod( 'astroidz_light0i' )); ?>" 
			data-astroidz-light1i="<?php echo esc_attr( get_theme_mod( 'astroidz_light1i' )); ?>" 
			data-astroidz-light2i="<?php echo esc_attr( get_theme_mod( 'astroidz_light2i' )); ?>" 
			data-astroidz-light3i="<?php echo esc_attr( get_theme_mod( 'astroidz_light3i' )); ?>" 
			data-astroidz-light0="<?php echo esc_attr( get_theme_mod( 'astroidz_light0' )); ?>" 
			data-astroidz-light1="<?php echo esc_attr( get_theme_mod( 'astroidz_light1' )); ?>" 
			data-astroidz-light2="<?php echo esc_attr( get_theme_mod( 'astroidz_light2' )); ?>" 
			data-astroidz-light3="<?php echo esc_attr( get_theme_mod( 'astroidz_light3' )); ?>" 
			data-astroidz-material1="<?php echo esc_attr( get_theme_mod( 'astroidz_material1' )); ?>" 
			data-astroidz-material2="<?php echo esc_attr( get_theme_mod( 'astroidz_material2' )); ?>">
			</div>
		<?php  
		}
	}
}









