<?php  
/**
 * Configuration for the Kirki Customizer.
 * @package Kirki
 * @package  Vice
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$config = 'astroidz_config';
$section = 'section_astroidz';

/**
 * Featured image as header background
 */
Kirki::add_field( $config, array(
	'section'   => $section,
	'settings'  => 'astroidz-featured-background',
	'type'      => 'switch',
	'label'     => esc_html__( 'Use featured images as single page backgrounds', "vice-astroidz" ),
));

/**
 * Featured image as header background
 */

Kirki::add_field( $config, array(
	'section'     => $section,
	'settings'    => 'astroidz-header-fx',
	'type'        => 'select',
	'multiple'    => 0,
	'label'       => esc_html__( 'Header effect',"vice-astroidz" ),
	'default'     => 'none',
	'choices'     => [
		'none'   	=> esc_html__( 'No effect', "vice-astroidz" ),
		'glitch' 	=> esc_html__( 'Glitch', "vice-astroidz" ),
	],
));


Kirki::add_field( $config, [
	'type'        => 'slider',
	'settings'    => 'astroidz-glitch-arrogance',
	'label'       => esc_html__( 'Global glitch effect arrogance', 'kirki' ),
	'description' => esc_html__( '100 = the effect never stops. Multiplying factor for a randomic probability.', 'kirki' ),
	'section'     => $section,
	'default'     => 15,
	'active_callback' => [
		[
			'setting'  => 'astroidz-header-fx',
			'operator' => '==',
			'value'    => 'glitch',
		]
	],
	'choices'     => [
		'min'  => 0,
		'max'  => 100,
		'step' => 1,
	],
] );