<?php  
/**
 * @package astroidz
 * @author QantumThemes
 * Output a custom template with the 3d background to be used within the WP theme as iframe background
 */
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
		<link rel='stylesheet' id='astroidz-style'  href='<?php echo plugins_url( '../assets/css/astroidz-style.css' , __FILE__ ); ?>'  media='all' />
		<style>
			<?php  
			$colors = get_theme_mod( 'astroidz_bg' );
			?>
			#astroidzBody {
				background: radial-gradient(ellipse at center, <?php echo esc_attr( $colors['inner']); ?> 0%, <?php echo esc_attr( $colors['outer'] ); ?> 60%);
			}
		</style>
	</head>
	<body id="astroidzBody" 




	data-astroidz-light0i="<?php echo esc_attr( get_theme_mod( 'astroidz_light0i' )); ?>" 
	data-astroidz-light1i="<?php echo esc_attr( get_theme_mod( 'astroidz_light1i' )); ?>" 
	data-astroidz-light2i="<?php echo esc_attr( get_theme_mod( 'astroidz_light2i' )); ?>" 
	data-astroidz-light3i="<?php echo esc_attr( get_theme_mod( 'astroidz_light3i' )); ?>" 


	data-astroidz-light0="<?php echo esc_attr( get_theme_mod( 'astroidz_light0' )); ?>" 
	data-astroidz-light1="<?php echo esc_attr( get_theme_mod( 'astroidz_light1' )); ?>" 
	data-astroidz-light2="<?php echo esc_attr( get_theme_mod( 'astroidz_light2' )); ?>" 
	data-astroidz-light3="<?php echo esc_attr( get_theme_mod( 'astroidz_light3' )); ?>" 
	data-astroidz-material1="<?php echo esc_attr( get_theme_mod( 'astroidz_material1' )); ?>" 
	data-astroidz-material2="<?php echo esc_attr( get_theme_mod( 'astroidz_material2' )); ?>">
		<script  src='<?php echo plugins_url( '../assets/three/three.min.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/shaders/CopyShader.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/shaders/DigitalGlitch.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/postprocessing/EffectComposer.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/postprocessing/RenderPass.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/shaders/FilmShader.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/shaders/RGBShiftShader.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/shaders/HorizontalBlurShader.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/shaders/VerticalBlurShader.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/postprocessing/FilmPass.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/postprocessing/MaskPass.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/postprocessing/ShaderPass.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/postprocessing/GlitchPass.js' , __FILE__ ); ?>'></script>
		<script  src='<?php echo plugins_url( '../assets/js/astroidz.js' , __FILE__ ); ?>'></script>
	</body>
</html>